Bug 23834 - Add default ESLint configuration
Summary: Add default ESLint configuration
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23833
  Show dependency treegraph
 
Reported: 2019-10-17 13:38 UTC by Owen Leonard
Modified: 2019-11-03 08:12 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23834: Add default ESLint configuration (1.04 KB, patch)
2019-10-17 13:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23834: Add default ESLint configuration (1.10 KB, patch)
2019-11-02 13:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-17 13:38:21 UTC
Default configuration proposed when the ESLint coding guideline was voted on:

{
    "env": {
        "browser": true,
        "jquery": true
    },
    "extends": "eslint:recommended",
    "rules": {
        "indent": [
            "error",
            4
        ],
        "linebreak-style": [
            "error",
            "unix"
        ],
        "semi": [
            "error",
            "always"
        ]
    }
}
Comment 1 Owen Leonard 2019-10-17 13:51:14 UTC
Created attachment 94373 [details] [review]
Bug 23834: Add default ESLint configuration

This patch adds a default ESLint configuration for use when editing
JavaScript, as recommended in the coding guidelines:

https://wiki.koha-community.org/wiki/Coding_Guidelines#JS8:_Follow_guidelines_set_by_ESLint
Comment 2 Katrin Fischer 2019-11-02 13:57:22 UTC
Created attachment 94966 [details] [review]
Bug 23834: Add default ESLint configuration

This patch adds a default ESLint configuration for use when editing
JavaScript, as recommended in the coding guidelines:

https://wiki.koha-community.org/wiki/Coding_Guidelines#JS8:_Follow_guidelines_set_by_ESLint

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2019-11-02 13:57:47 UTC
Adds a config file, PQA right away.
Comment 4 Martin Renvoize 2019-11-03 08:12:23 UTC
Nice work!

Pushed to master for 19.11.00